import { Button, Link, Typography } from '@mui/material'
import { useHistory } from 'react-router-dom'

function Home() {
  const history = useHistory()
  return <>
    <Typography variant="h1" gutterBottom>Welcome to your app!</Typography>
    <Typography>Welcome to your node-react-app monorepo!</Typography>
    {/* IF router:true,auth:jwt */}
    <Button sx={{ marginY: 2 }} onClick={() => history.push('/signup')} variant="contained" size="large">Create account</Button>
    <Typography variant="body2">Or <Link onClick={() => history.push('/login')} sx={{ cursor: 'pointer' }}>login</Link></Typography>
    {/* ENDIF */}
  </>
}

export default Home
