"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
async function copyTemplateFile(template, destination) {
    const contents = fs_1.default.readFileSync(template, 'utf8');
    const filePath = path_1.default.resolve(process.cwd(), destination);
    const dirname = path_1.default.dirname(filePath);
    if (!fs_1.default.existsSync(dirname)) {
        fs_1.default.mkdirSync(dirname, { recursive: true });
    }
    fs_1.default.writeFileSync(filePath, contents);
}
exports.default = copyTemplateFile;
//# sourceMappingURL=copyTemplateFile.js.map