import { Field, ObjectType } from 'type-graphql'

@ObjectType()
class User {
  @Field() uid: string
  @Field({ nullable: true }) displayName: string
  @Field() email: string
  @Field() emailVerified: boolean
  @Field({ nullable: true }) firstName: string
  @Field({ nullable: true }) lastName: string
}

export default User
